<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class CreatePromotionUnitLines extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change(): void
    {
        $this->table('promotion_unit_lines')
            ->addColumn('promotion_id', 'integer', ['signed' => false, 'null' => false])
            ->addColumn('unit_line_id', 'integer', ['signed' => false, 'null' => false])
            ->addForeignKey('promotion_id', 'promotions', 'id', ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->addForeignKey('unit_line_id', 'proyecto_tipo_unidad', 'id', ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->create();
    }
}
